# Tax identifier component

Use the `drb2b_taxIdentifier` component to collect tax identifiers from shoppers and allow them to apply saved tax identifiers. You can configure this component in the flow.&#x20;

You can publish an event to show or hide the tax identifier component.

### Publish the Tax identifier component events

Complete the following tasks to publish various event types. The event purpose and payload will vary depending on the use case.

Import `DigitalRiverMessageChannel__c message` channel and message service into a custom JavaScript file as shown below.

{% code title="Import example" %}

```
import dr_lms from "@salesforce/messageChannel/digitalriverv3__DigitalRiverMessageChannel__c";

import {publish, MessageContext } from "lightning/messageService";

```

{% endcode %}

Declare the message context variable as shown below.

{% code title="Declare variable example" %}

```
@wire(MessageContext) messageContext;
```

{% endcode %}

Publish the event.

{% code title="Event publishing example" %}

```
publish(this.messageContext, dr_lms, { 
                    purpose: '<purpose>',           
                    payload: '<payload>'            
                });

```

{% endcode %}

Refer to the following table for more information on the Tax identifier component events.

| Event purpose         | Event payload example | Description                                                                                      |
| --------------------- | --------------------- | ------------------------------------------------------------------------------------------------ |
| toggleShowTIComponent | {"isShow":true}       | Publish this event to show {"isShow":true} or hide {"isShow":false} the Tax identifier component |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/salesforce-lightning/salesforce-lightning-b2b-commerce-app-1.2.1/extend-the-salesforce-lightning-app/customizing-the-lightning-web-components/components/tax-identifier-component.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
